Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.spring.remoting
Class XFireClientInterceptor

    java.lang.Object
      org.codehaus.xfire.spring.remoting.XFireClientInterceptor

All Implemented Interfaces:
  org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor, org.springframework.beans.factory.InitializingBean

Direct Known Subclasses:
  XFireProxyFactoryBean

    public class XFireClientInterceptor

extends java.lang.Object
implements org.aopalliance.intercept.MethodInterceptor, org.springframework.beans.factory.InitializingBean

Interceptor for accessing a XFire SOAP service.

Author:
  Arjen Poutsma
See Also:
  `XFireExporter`, `XFireProxyFactory`

Constructor Summary
`XFireClientInterceptor()`

Method Summary
`void` | `afterPropertiesSet()`
`protected org.springframework.remoting.RemoteAccessException` | `convertBurlapAccessException(java.lang.Throwable ex)` Convert the given Remote exception to an appropriate Spring RemoteAccessException.
`protected java.lang.Object` | `createXFireProxy(XFireProxyFactory proxyFactory)` Create the XFire proxy that is wrapped by this interceptor.
`ServiceBean` | `getService()`
`java.lang.String` | `getServiceUrl()`
`XFire` | `getXfire()`
`java.lang.Object` | `invoke(org.aopalliance.intercept.MethodInvocation invocation)`
`void` | `prepare()` Initialize the XFire proxy for this interceptor.
`void` | `setProxyFactory(XFireProxyFactory proxyFactory)` Set the `XFireProxyFactory` instance to use.
`void` | `setService(ServiceBean serviceBean)`
`void` | `setServiceUrl(java.lang.String serviceUrl)`
`void` | `setXfire(XFire fire)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XFireClientInterceptor

    public XFireClientInterceptor()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.net.MalformedURLException

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.net.MalformedURLException`

### prepare

    public void prepare()
                 throws java.net.MalformedURLException

  Initialize the XFire proxy for this interceptor.

  Throws:
    `java.net.MalformedURLException`

### createXFireProxy

    protected java.lang.Object createXFireProxy(XFireProxyFactory proxyFactory)
                                         throws java.net.MalformedURLException

  Create the XFire proxy that is wrapped by this interceptor.

  Parameters:
    `proxyFactory` - the proxy factory to use
  Returns:
    the Burlap proxy
  Throws:
    `java.net.MalformedURLException` - if thrown by the proxy factory
  See Also:
    `XFireProxyFactory.create(org.codehaus.xfire.service.Service, java.lang.String)`

### invoke

    public java.lang.Object invoke(org.aopalliance.intercept.MethodInvocation invocation)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
  Throws:
    `java.lang.Throwable`

### convertBurlapAccessException

    protected org.springframework.remoting.RemoteAccessException convertBurlapAccessException(java.lang.Throwable ex)

  Convert the given Remote exception to an appropriate Spring RemoteAccessException.

  Parameters:
    `ex` - the exception to convert
  Returns:
    the RemoteAccessException to throw

### setProxyFactory

    public void setProxyFactory(XFireProxyFactory proxyFactory)

  Set the `XFireProxyFactory` instance to use. If not specified, a default `XFireProxyFactory` will be created.

  Parameters:
    `proxyFactory` - the proxy factory

### getServiceUrl

    public java.lang.String getServiceUrl()

### setServiceUrl

    public void setServiceUrl(java.lang.String serviceUrl)

### getService

    public ServiceBean getService()

### setService

    public void setService(ServiceBean serviceBean)

### getXfire

    public XFire getXfire()

### setXfire

    public void setXfire(XFire fire)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.